#include <9pm/u.h>
#include <9pm/libc.h>

void
werrstr(char *fmt, ...)
{
	int psave;
	va_list arg;
	char buf[ERRMAX];

	extern int printcol;

	psave = printcol;
	va_start(arg, fmt);
	doprint(buf, buf+ERRMAX, fmt, arg);
	va_end(arg);
	errstr(buf, ERRMAX);
	printcol = psave;
}
